> ## Documentation Index
> Fetch the complete documentation index at: https://api.globalwebindex.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# v1 Duplicate Chart

> Duplicate a single chart. If the chart is shared with the user or user is the owner of it, it will be saved as new. Audiences of the chart will be saved as new also if user has not access to them.



## OpenAPI

````yaml post /v1/charts/{id}/duplicate
openapi: 3.0.0
info:
  contact:
    name: Slack Channel
    url: https://globalwebindex.slack.com/archives/CQV0R87DG
  description: platform-charts public API for Platform2.0
  license:
    name: GWI Platform 2.0 Community
    url: https://github.com/orgs/GlobalWebIndex/teams/engineering-platform-2-0
  title: platform-charts-api
  version: 0.0.1
servers:
  - url: http://api.globalwebindex.com
  - url: https://api.globalwebindex.com
security: []
paths:
  /v1/charts/{id}/duplicate:
    post:
      tags:
        - Charts
      summary: v1 Duplicate Chart
      description: >-
        Duplicate a single chart. If the chart is shared with the user or user
        is the owner of it, it will be saved as new. Audiences of the chart will
        be saved as new also if user has not access to them.
      parameters:
        - description: chart id
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: new chart id
          content:
            application/json:
              schema:
                type: string
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
        '401':
          description: Invalid token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
        '403':
          description: Invalid permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
        '404':
          description: Chart not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    common.ErrorResponse:
      properties:
        code:
          type: integer
        message:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: JWT token for authentication
      in: header
      name: Authorization
      type: apiKey

````